{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, memberof, set_status, start_window, msg\r\ndeclare subroutine rlist\r\n$insert rlist_equates\r\n$insert msg_equates\r\n\r\nSelpos = @CtrlEntId->selpos\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\nColData = @CtrlEntId->coldata\r\n\r\nTVAR = @CtrlEntId->text\r\n\r\nCurProdSpecID = ColData<1,Row>\r\nCurProdSpecID = iconv( CurProdSpecID, '[RECIPE_PSN_VALID]' )\r\nif status() then\r\n   * THE VALUE IN THE CELL IS NOT A VALID PSN\r\n   return 0\r\nend\r\nbegin case\r\n   * ONLY ALLOW OPTIONS FOR THE PSN FIELD\r\n   case Column = 1\r\n\tPopupId = entid( @appid<1>, 'POPUP', '', 'PROD_SPEC_LOOKUP_OPTS2' )\r\n\tChoosenRow = repository( 'EXECUTE', PopupId, @window, '' )\r\n\tif ChoosenRow = 1 then\r\n\t    ;* GO VIEW CURRENT PROD SPEC\r\n\t    if CurProdSpecID then\r\n\t        RetVal = start_window( 'PROD_SPEC', @window, CurProdSpecID:'****CENTER', '', '' ) \r\n\t\tend else\r\n\t\t    MsgInfo = ''\r\n\t\t    Text = 'You have not entered a product specification number...' \r\n\t\t    MsgInfo<mtext$> = Text\r\n\t\t    MsgInfo<micon$> = 'H'\r\n\t\t    Void = msg( '', MsgInfo )\r\n\t\t    return 0\r\n        end\r\n    end else\r\n        if ChoosenRow = 2 then\r\n\t        * POPUP ALL PSNs WITH \r\n\t\t\tStmt = 'SELECT PROD_SPEC WITH RECIPE_NO = ':.recipe_no->text\r\n\t\t\tVoid = set_status(0)\t\t\t\t\r\n\t        rlist( Stmt, target_activelist$, '', '', '' )\t\t\r\n\t\t\tPopupId = entid( @appid<1>, 'POPUP', '', 'PROD_SPEC_SINGLE' )\r\n\t\t\tChoosenRow = repository( 'EXECUTE', PopupId, @window, '' )\r\n\t\t\tif ChoosenRow then\r\n\t\t\t   ColData<1,Row> = ChoosenRow\r\n\t\t\t   @CtrlEntId->coldata = ColData\r\n\t        end\r\n\t    end\r\n    end\r\nend case\r\nRETURN 0"
        }
    }
}